import os
from setuptools import setup, find_packages

version = '0.1dev'

install_requires =[
    'setuptools',
    'zope.browserpage',
    'zope.formlib',
    'zope.i18n',
    'zope.publisher',
    'zope.schema',
    ],

tests_require = [
    'zope.testbrowser',
    'zope.testing',
    ]

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description = (
    read('README.txt')
    + '\n\n'
    + read('src', 'waeup', 'widgets', 'core', 'README.txt')
    + '\n\n'
    + read('CHANGES.txt')
    + '\n\n'
    + 'Download\n'
    + '********\n'
    )

setup(name = 'waeup.widgets.core',
      version = version,
      description = "Zope formlib widgets for the waupe.sirp portal.",
      long_description = long_description,

      keywords = "portal waeup sirp widget dict zope",
      # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Education',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Programming Language :: Python',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Framework :: Zope3',
        'Topic :: Education',
        'Topic :: Internet :: WWW/HTTP',
        ],
      author = "The WAeUP team.",
      author_email = "",
      url = "http://www.waeup.org/",
      license = "GPL",
      package_dir = {'': 'src'},
      packages= find_packages('src'),
      namespace_packages = ['waeup', 'waeup.widgets'],
      include_package_data = True,
      zip_safe = False,
      install_requires = install_requires,
      tests_require = tests_require,
      extras_require = dict(
        test = tests_require,
        docs = ['Sphinx',
                'z3c.recipe.sphinxdoc',
                ],
        ),
      entry_points="""
      # Add entry points here
      """,
      )
